bitcoin-qt (master branch) shutdown delay on debian stretch

Following a bitcoin core issue on debian stretch which was resolved on the master branch, I am now running a pre-release test build. Each time I exit bitcoin-qt, I have to wait about 5 minutes until final shutdown occurs. My debug file is showing:

2016-12-20 19:58:55 AcceptToMemoryPool: peer=3: accepted 2b8c3...5c14 (poolsz ... 2016-12-20 19:58:56 AcceptToMemoryPool: peer=3: accepted 4a3d1...7e0e (poolsz ... 2016-12-20 19:58:56 tor: Thread interrupt 2016-12-20 19:58:56 scheduler thread interrupt 2016-12-20 19:58:56 torcontrol thread exit 2016-12-20 19:58:56 opencon thread interrupt 2016-12-20 19:58:56 addcon thread interrupt 2016-12-20 19:58:56 msghand thread interrupt 2016-12-20 19:58:56 net thread interrupt 

This is where it hangs for a few minutes, then:

2016-12-20 20:05:58 Imported mempool transactions from disk: 10932 successes, 476 failed, 0 expired 2016-12-20 20:05:58 Shutdown: In progress... 2016-12-20 20:05:58 Stop 2016-12-20 20:05:59 Erased 1 orphan tx from peer 5 2016-12-20 20:06:01 Dumped mempool: 0.063746s to copy, 1.55051s to dump 2016-12-20 20:06:01 Shutdown: done 

I have not experienced this before ever on any system. I am not seeing a similar issue when shutting down bitcoind (EDIT actually it does happen with bitcoind at times). I am wondering if anyone is aware of any pending change (on master branch for future release) which would explain such behavior (I worry this may be related to debian stretch, but my hardware is new, very cheap and hopelessly slow on known benchmarks, which may also be the cause of this).

Recent Questions – Bitcoin Stack Exchange

Failing to build bitcoin-core v0.13.1 on debian stretch

I have recently set up a new machine on debian stretch:

$   uname -a Linux front 4.8.0-1-amd64 #1 SMP Debian 4.8.7-1 (2016-11-13) x86_64 GNU/Linux 

I am now attempting to install bitcoind. I have already set up a directory db4 in my build directory for the Berkeley database version 4.8.30. I have installed all the dependencies as per doc/build-unix, including boost from the distribution:

$   sudo apt-get install libboost-all-dev $   apt-cache show libboost-all-dev Package: libboost-all-dev Source: boost-defaults Version: 1.62.0.1 ...  $   ./autogen.sh ...  ./configure LDFLAGS="-L..bitcoin/db4/lib/" CPPFLAGS="-I..bitcoin/db4/include/" ...  $   make ... CXX      wallet/test/test_test_bitcoin-wallet_tests.o CXX      wallet/test/test_test_bitcoin-crypto_tests.o wallet/test/crypto_tests.cpp: In function ‘bool wallet_crypto::OldEncrypt( const CKeyingMaterial&, std::vector<unsigned char>&, const unsigned char*, const unsigned char*)’: wallet/test/crypto_tests.cpp:45:20: error: aggregate ‘EVP_CIPHER_CTX ctx’ has incomplete type and cannot be defined EVP_CIPHER_CTX ctx;                 ^~~ wallet/test/crypto_tests.cpp: In function ‘bool wallet_crypto::OldDecrypt( const std::vector<unsigned char>&, CKeyingMaterial&, const unsigned char*, const unsigned char*)’: wallet/test/crypto_tests.cpp:69:20: error: aggregate ‘EVP_CIPHER_CTX ctx’ has incomplete type and cannot be defined EVP_CIPHER_CTX ctx;                 ^~~ Makefile:8232: recipe for target 'wallet/test/test_test_bitcoin  crypto_tests.o' failed make[2]: *** [wallet/test/test_test_bitcoin-crypto_tests.o] Error 1 make[2]: Leaving directory '/home/john/Libs/bitcoin/src' Makefile:8370: recipe for target 'all-recursive' failed make[1]: *** [all-recursive] Error 1 make[1]: Leaving directory '/home/john/Libs/bitcoin/src' Makefile:680: recipe for target 'all-recursive' failed make: *** [all-recursive] Error 1 

Any suggestion is gratefully appreciated.

Recent Questions – Bitcoin Stack Exchange

Install bitcoin core on debian jessie error

I have to install bitcoin core to use op_return library. But I have difficulties to install correctly bitcoin core.

First I run the command :sudo apt-add-repository ppa:bitcoin/bitcoin

Second I enter this command: apt-get update

But I have error : Err http:/ppa.launchpad.net jessie/main amd64 Packages (<- there is two “/” but I can’t write this beause I don”t have enough reputation)

Err http:/ppa.launchpad.net jessie/main amd64 Packages

Err http:/ppa.launchpad.net jessie/main amd64 Packages

Err http:/ppa.launchpad.net jessie/main amd64 Packages

Err http:/ppa.launchpad.net jessie/main amd64 Packages
404 Not Found

W: Failed to fetch http:/ppa.launchpad.net/bitcoin/bitcoin/ubuntu/dists/jessie/main/binary-amd64/Packages 404 Not Found

E: Some index files failed to download. They have been ignored, or old ones used instead.

So when I want to do this : apt-get install bitcoin-qt I have : E: Unable to locate package bitcoin-qt

What can I do?

Recent Questions – Bitcoin Stack Exchange